{% extends 'base.html.twig' %}

{% block title %}Sale index{% endblock %}

{% block body %}
    <h1>Sale index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>DateOfpurchase</th>
                <th>AmountSales</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for sale in sales %}
            <tr>
                <td>{{ sale.id }}</td>
                <td>{{ sale.dateOfpurchase ? sale.dateOfpurchase|date('Y-m-d H:i:s T') : '' }}</td>
                <td>{{ sale.amountSales }}</td>
                <td>
                    <a href="{{ path('sale_show', {'id': sale.id}) }}">show</a>
                    <a href="{{ path('sale_edit', {'id': sale.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('sale_new') }}">Create new</a>
{% endblock %}
